%{?nodejs_find_provides_and_requires}

%global packagename urix
%global enable_tests 1

Name:		nodejs-urix
Version:	0.1.0
Release:	2%{?dist}
Summary:	Makes Windows-style paths more unix and URI friendly

License:	MIT
URL:		https://github.com/lydell/urix
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(jshint)
%endif

Requires:	nodejs

%description
Makes Windows-style paths more unix and URI friendly.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/jshint/bin/jshint index.js test/
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-2
- Rebuild to fix build requirements

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
